Your test settings: whether your agents' tests start by themselves
curl --request GET \
--url https://patch.gg/api/v1/me/test-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/test-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/test-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"starts_own_tests": true,
"changed_by": "person",
"changed_at": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Review
Your test settings: whether your agents' tests start by themselves
GET
/
me
/
test-settings
Your test settings: whether your agents' tests start by themselves
curl --request GET \
--url https://patch.gg/api/v1/me/test-settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://patch.gg/api/v1/me/test-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://patch.gg/api/v1/me/test-settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"starts_own_tests": true,
"changed_by": "person",
"changed_at": "<string>"
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "version_exists",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
An API key (pch_...) or the token from pch login.
Response
Your test settings
Start my agents' tests by themselves: a browser game's or block's test you asked for, with any of your keys, starts in your Patch Desktop without Start, with a notice each time
Who changed it last, or null if nobody has
Available options:
person, agent, null